#!/bin/sh

#
# Tests for functions in posInitCommon.sh file
#

LANG=C
TMPPREFIX=test_templates.t.tmp

test -z $srcdir && srcdir=$(dirname $0)

# set CONFTEMPLATE variable to fake checks in the beginning of sourced file
CONFTEMPLATE=${srcdir}/../../src/server/posInitCommon.sh

. ${srcdir}/../../src/server/posInitCommon.sh

cat > ${TMPPREFIX}.sysconfig << EOF_TEST_SYSCONFIG

# test
# sysconfig for testing changing option values
# test test

test1=no
test2="no"
test3="no" #test test
test4=yes # test comment
test5="value1 value2"
test6="value3 value4 value5" #comment
test7="value1 value2"
test8="value3 value4 value5" #comment

#test8="no"
  test9=value9
#test9=value9 # test comment

     # comment 5 test10=value10
    test10=value10

    test11="value11"

test12="value1 value12"
test15=" value15 "
test16=" value16 "
test17=" value17 "
test18=" value18 "

#end of sysconfig for testing
EOF_TEST_SYSCONFIG

cat > ${TMPPREFIX}.sysconfig.expected << EOF_TEST_SYSCONFIG

# test
# sysconfig for testing changing option values
# test test

test1="yes"
test2="yes"
test3="yes"
test4=yes # test comment
test5="value_55"
test6="value_66"
test7="value1 value2 value_77 value_777"
test8="value3 value4 value5 value_88 value_888"

#test8="no"
  test9=value9
#test9=value9 # test comment

     # comment 5 test10=value10
test10="value_1010 value_1111"

test11="value_11"

test12="value1 value12"
test15="value16"
test16=" value16  value17"
test17="value17"
test18=" value18 "

#end of sysconfig for testing

test13="value13 value14"

test14="value14 value15"
EOF_TEST_SYSCONFIG


updateSysconfigFile test1 yes ${TMPPREFIX}.sysconfig single
updateSysconfigFile test2 yes ${TMPPREFIX}.sysconfig single
updateSysconfigFile test3 yes ${TMPPREFIX}.sysconfig single
updateSysconfigFile test4 yes ${TMPPREFIX}.sysconfig single
updateSysconfigFile test5 value_55 ${TMPPREFIX}.sysconfig single
updateSysconfigFile test6 value_66 ${TMPPREFIX}.sysconfig single
updateSysconfigFile test7 "value_77 value_777" ${TMPPREFIX}.sysconfig
updateSysconfigFile test8 "value_88 value_888" ${TMPPREFIX}.sysconfig
updateSysconfigFile test9 value9 ${TMPPREFIX}.sysconfig
updateSysconfigFile test10 "value_1010 value_1111" ${TMPPREFIX}.sysconfig single
updateSysconfigFile test11 value_11 ${TMPPREFIX}.sysconfig single
updateSysconfigFile test12 value12 ${TMPPREFIX}.sysconfig
updateSysconfigFile test13 "value13 value14" ${TMPPREFIX}.sysconfig single
updateSysconfigFile test14 "value14 value15" ${TMPPREFIX}.sysconfig
updateSysconfigFile test15 "value16" ${TMPPREFIX}.sysconfig single
updateSysconfigFile test16 "value17" ${TMPPREFIX}.sysconfig
updateSysconfigFile test17 "value17" ${TMPPREFIX}.sysconfig single
updateSysconfigFile test18 "value18" ${TMPPREFIX}.sysconfig

if cmp "${TMPPREFIX}.sysconfig.expected" "${TMPPREFIX}.sysconfig"; then
    true
    exit
else
   echo "diff expected result"
   diff -Nu "${TMPPREFIX}.sysconfig.expected" "${TMPPREFIX}.sysconfig";
fi

