#
# spec file for package skelcd-slepos (Version 2010.3.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

BuildRequires:  fdupes
Name:           POS_Image-Overlays
License:        GPL v2 or later
Group:          Metapackages
AutoReqProv:    off
Version:        1.0.0
Release:        0
Summary:        Overlay files for SLEPOS images
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source1:        11-x11-inputID.fdi
Source2:        86-usb_roothub11_wakeup.rules
Source3:        99ath9k
Source4:        hal-input-unique-device-ID
Source5:        pcspkr-fix
Source6:        suspend
Source7:        boot.floppy_fstab

%description
Overlay files for SLEPOS images. The files are packaged in RPM 
for better compatibility with image building tools and for easier
manipulation.


Authors:
--------
    SLEPOS Team <slepos@suse.cz>


%prep

%build

%install

install_fix ()
{
	install -m $3 -D "$1" $RPM_BUILD_ROOT/"$2"
}

install_hwtype_fix ()
{
	FILE=$1
	shift
	DEST=$1
	shift
	MODE=$1
	shift
	
	for HW in "$@" ; do
		install -m $MODE -D "$FILE" "$RPM_BUILD_ROOT/lib/kiwi/HWTYPE/$HW/$DEST"
	done
}

install_fix %{SOURCE4} /usr/lib/hal/scripts/hal-input-unique-device-ID 755
install_fix %{SOURCE1} /usr/share/hal/fdi/policy/10osvendor/11-x11-inputID.fdi 644
install_fix %{SOURCE5} /etc/modprobe.d/pcspkr-fix 644
install_fix %{SOURCE7} /etc/init.d/boot.floppy_fstab 755

install_hwtype_fix %{SOURCE2} \
                   /etc/udev/rules.d/86-usb_roothub11_wakeup.rules 644 \
                   IBM4800784 IBM4800E84 IBM4800WG4 IBM4810340 IBM4810350 IBM4810E40 IBM4810E50 \
                   IBM4838510 IBM4838520 IBM4838530 IBM4838540 IBM4838710 IBM4838720 IBM4838730 \
                   IBM4838740 IBM4838910 IBM4838920 IBM4838930 IBM4838940 IBM4852526 IBM4852566 \
                   IBM4852E2A IBM4900745 IBM4900C45 IBM4900E45 IBM4961E2S

install_hwtype_fix %{SOURCE6} \
                   /etc/pm/config.d/suspend 644 \
                   IBM4838510 IBM4838520 IBM4838530 IBM4838540 IBM4838710 IBM4838720 \
                   IBM4838730 IBM4838740 IBM4838910 IBM4838920 IBM4838930 IBM4838940

install_hwtype_fix %{SOURCE3} \
                   /etc/pm/sleep.d/99ath9k 755 \
                   IBM4838510 IBM4838520 IBM4838530 IBM4838540 IBM4838710 IBM4838720 \
                   IBM4838730 IBM4838740 IBM4838910 IBM4838920 IBM4838930 IBM4838940

for HW in `ls $RPM_BUILD_ROOT/lib/kiwi/HWTYPE` ; do
	cd "$RPM_BUILD_ROOT/lib/kiwi/HWTYPE/$HW"
	tar czf ../$HW.tar.gz *
	cd ..
	rm -rf "$HW"
done

%fdupes $RPM_BUILD_ROOT/lib/kiwi

%post
%{insserv_force_if_yast etc/init.d/boot.floppy_fstab}

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%config /etc/init.d/*
/etc/modprobe.d
/usr/lib/hal
/usr/share/hal
/lib/kiwi
%changelog
