#
# spec file for package bootsplash-branding-SLEPOS (Version 3.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           bootsplash-branding-SLEPOS
Url:            http://www.bootsplash.org/
Version:        3.1
Release:        47
Summary:        Default SUSE Bootsplash Theme
License:        BSD 3-Clause
Group:          System/Boot
AutoReqProv:    on
PreReq:         %fillup_prereq perl
Supplements:    branding-openSUSE
Provides:       bootsplash-branding
Obsoletes:      bootsplash-theme-SuSE-SLEPOS
Provides:       bootsplash-theme-SuSE-SLEPOS
# Scripts and programs
Source4:        LICENSE
Source5:        SLEPOS.tar.bz2
# sysconfig files
Source24:       sysconfig.bootsplash-branding-SLEPOS

#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       bootsplash >= 3.3-11

%description
This package contains the default theme for SUSE's graphical boot. Find
more information at http://www.bootsplash.org/.



Authors:
--------
    Petr Ostadal <postadal@suse.cz>

%prep
mkdir %{name}-%{version}
%setup -T -D -a 5
cp -p %{SOURCE4} .

%build

%install
mkdir -p %{buildroot}/etc/bootsplash
cp -a themes %{buildroot}/etc/bootsplash
for i in %{buildroot}/etc/bootsplash/themes/* ; do
  cp -a LICENSE $i/.
done
mkdir -p %{buildroot}/var/adm/fillup-templates
cp %{SOURCE24} %{buildroot}/var/adm/fillup-templates/

%post -n bootsplash-branding-SLEPOS
%{fillup_only -ns bootsplash branding-SLEPOS }
perl -pi -e 's/^(THEME=).*/$1"SLEPOS"/' /etc/sysconfig/bootsplash

%files
%defattr(-,root,root)
%dir /etc/bootsplash
%dir /etc/bootsplash/themes
/etc/bootsplash/themes/SLEPOS
%config /var/adm/fillup-templates/sysconfig.bootsplash-branding-SLEPOS


%changelog
