#!/bin/bash
#================
# FILE          : config.sh
#----------------
# PROJECT       : OpenSuSE KIWI Image System
# COPYRIGHT     : (c) 2006 SUSE LINUX Products GmbH. All rights reserved
#               :
# AUTHOR        : Marcus Schaefer <ms@suse.de>
#               :
# BELONGS TO    : Operating System images
#               :
# DESCRIPTION   : configuration script for SUSE based
#               : operating systems
#               :
#               :
#----------------
#======================================
# Functions...
#--------------------------------------
test -f /.kconfig && . /.kconfig
test -f /.profile && . /.profile

#======================================
# Greeting...
#--------------------------------------
echo "Configure image: [$name]..."

#======================================
# Activate services
#--------------------------------------
suseActivateDefaultServices
suseInsertService alsasound
suseInsertService boot.sysctl


#======================================
# SuSEconfig
#--------------------------------------
suseConfig

#wipe /etc/resov.conf so it do not contain build machine DNS
echo -n > /etc/resolv.conf

#======================================
# Adjust gconf configuration
#--------------------------------------

# enable audible bell
gconftool-2 --direct --config-source=xml::/etc/gconf/gconf.xml.defaults --set /apps/metacity/general/audible_bell --type=bool true

# finalize the gconf tree
gconf-merge-tree /etc/gconf/gconf.xml.defaults

#======================================
# Umount kernel filesystems
#--------------------------------------
baseCleanMount

exit 0
