#!/bin/bash
test -f /.kconfig && . /.kconfig
test -f /.profile && . /.profile
Echo "Configure image: [$name]..."

# set DEBUG=0 to enable debug log to $DEBUG_LOGFILE

#
# FUNCTIONS
#

# set DEBUG=1 to enable debug log to $DEBUG_LOGFILE
: ${DEBUG:=0}



#==========================================
# Striping unneed files
#------------------------------------------

# Strips doc files, keep only listed
baseStripDocs

# Strip locales, keep only listed
baseStripLocales en `echo $kiwi_language|tr ',' ' ' |sed -e "s|[@_.][^ ]*||g"`

# Strip translations
# older kiwi versions do not support this function
declare -F baseStripTranslations >/dev/null && \
	baseStripTranslations en `echo $kiwi_language|tr ',' ' ' |sed -e "s|[@_.][^ ]*||g"`

# Strip man pages
baseStripMans

# Strip info files
baseStripInfos

# Remove rest of evolution
#Rm -rf /opt/gnome/lib/evolution-data-server-1.2
#Rm -rf /opt/gnome/share/evolution-data-server-1.6

# uninstal packages
baseStripRPM

# created links for all supported busybox apps if it was installed
baseSetupBusyBox

# clean up rest
Rm -rf /usr/sbin/rpasswdd /usr/bin/rpasswd /lib/security/pam_rpasswd.so

#==========================================
# umount /proc
#------------------------------------------
umount /proc

exit 0
