
package POS::Admin::Constant;

use warnings;

use base qw(Exporter);
our @EXPORT_OK;
local $_;
while (<DATA>) {
    last if /^=cut/;
    next unless /^=item\s+(POS_\S+)\s+\((.*)\)/;
    my ($name, $value) = ($1, $2);
    *{$name} = sub () { $value };
    push @EXPORT_OK, $name;
}

1;

__DATA__

=head1 NAME

POS::Admin::Constant - Constants for use with POS::Admin

=head2 Constants

=item POS_NO_ERROR (0)

No error registered

=item POS_UNKNOWN_OBJECTCLASS (1)

Object class was not found in SLEPOS data structures

=item POS_VALIDATION_FAILED (2)

LDAP or LDAP::Entry validation failed

=item POS_NO_LDAP (3)

No connection to LDAP

=item POS_LDAP_ERROR (4)

LDAP operation error

=item POS_FILE_NOT_FOUND (5)

Required file not found

=item POS_NO_DATA (6)

Required data are not provided in given entry

=item POS_ALREADY_EXISTS (7)

Entry already exists

=item POS_NO_ENTRY (8)

Requested entry is not in LDAP

=item POS_NO_RECURSIVE (9)

Attempted to delete entry with children, but recursive mode was not enabled

=item POS_GENERAL_ERROR (255)

General unindentified error

=cut
