<?xml version="1.0" encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.suse.com/SLEPOS" xmlns:xi="http://www.w3.org/2001/XInclude">
<xsl:output method="xml" encoding="utf-8"/>

<!--
  SLEPOS XML v0.1 to v0.2 transformation template
-->

<!-- transform header to new version and fix namespace declaration   xmlns="http://www.suse.com/SLEPOS"-->
<xsl:template match="/*[local-name() = 'slepos' and @xmlversion='0.1']">
    <slepos xmlversion="0.2">
        <xsl:apply-templates/>
    </slepos>
</xsl:template>

<!-- if already on 0.2 version, copy everything. This is needed because generic copy removes xInclude namespace definition-->
<xsl:template match="/*[local-name() = 'slepos' and @xmlversion='0.2']">
  <xsl:copy><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:copy>
</xsl:template>

<!-- copy the rest, except namespaces. Originally in xmlver 1 everything except <slepos:slepos> was in "" namespace -->
<xsl:template match="*">
  <xsl:element name="{name()}">
    <xsl:copy-of select="@*"/>
    <xsl:apply-templates/>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>