#!/bin/bash

INITDPATH=/etc/init.d

SLEPOSPATH=/etc/SLEPOS
TEMPLATEPATH="${SLEPOSPATH}/template"
CONFTEMPLATE="${TEMPLATEPATH}/adminserver.conf.template"
OLDBRANCHCONF=$POSCONFPATH/branchserver.conf.old

COMMONNAME=""
TREENAME=""
COMPANYNAME=""
COUNTRY=""
PASSWORD="a"
PASSWORD1="b"
ENABLE_SSL="y"
COMMUNICATION="SSL on port 636"
SSLTRANSPORT=0

RPM=0

#include common functions
. /usr/lib/SLEPOS/posInitCommon.sh

## Functions
PARMNUM=0
while [ $PARMNUM -lt $# ]; do
    if [ $PARMNUM -eq 0 ]; then
        PARM=$1
    elif [ $PARMNUM -eq 1 ]; then
        PARM=$2
    fi

    #more options..
    if [ $PARM == "--rpm" ]; then
        RPM=1
    fi
    PARMNUM=$((PARMNUM + 1))
done

echo "#########################################################################################"
echo "#                                                                                       "
echo "#                 LDAP Directory Configuration                                          "
echo "#                                                                                       "
echo "#########################################################################################"



askValue TREENAME "Please enter your tree name: "
askValue COMPANYNAME "Please enter your company name: "

echo "Your tree name is: $TREENAME"
echo "Your company name is: $COMPANYNAME"

while true; do
    echo -n "Please enter the 2 letter abbreviation of your country [$COUNTRY]: "
    read -r TMP
    [ -n "$TMP" ] && COUNTRY=$TMP
    if [ ${#COUNTRY} == 2 ]; then
        break
    else
        echo "Country abbreviation has to be exactly two letters"
    fi
done

while true; do
           echo "Please choose a password for the adminstrator of the LDAP Directory server"
           echo -n "Password: "
           PASSWORD=`/usr/lib/SLEPOS/posReadPassword.pl`
           echo ""
           echo -n "Please write the Password again: "
           PASSWORD1=`/usr/lib/SLEPOS/posReadPassword.pl`
           echo ""
           if [ $PASSWORD != $PASSWORD1 ]; then
               echo "The passwords you enter do not match, please try again!"
           elif [ -z $PASSWORD ]; then
               echo "Password can not be empty, please try again."
           else
               break
           fi
done


#while true; do
#   if [ $RPM -eq 0 ] ; then
#     ENABLE_SSL_DEF="no"
#     echo -n "Enable LDAP SSL (Y/N) [N]: "
#      read -r ENABLE_SSL
#      [ -z "$ENABLE_SSL" ] && ENABLE_SSL=$ENABLE_SSL_DEF
#   fi
#   case $ENABLE_SSL in
#     y* | Y* ) ENABLE_SSL="yes"
#       COMMUNICATION="SSL on port 636"
#       break;;
#     [nN]* )   ENABLE_SSL="no"
#       COMMUNICATION="TCP/IP on port 389"
#       break;;
#     * ) echo "Unknown response!" ;;
#   esac
#done



clear
echo "Your LDAP Directory Server will now be initialized with the following data:"
echo "###############################################################################"
echo "#                                                                              "
echo "# ldap root:         o=$COMPANYNAME,c=$COUNTRY,t=$TREENAME                     "
echo "# admin account:     cn=admin,o=$COMPANYNAME,c=$COUNTRY,t=$TREENAME            "
echo "# communication:     TCP/IP on port 389                                        "
echo "#                                                                              "
echo "###############################################################################"
export PASSWORD SALT
 #  if [ $ENABLE_SSL == "yes" ] ; then
 #      echo
 #      echo -n "LDAP over SSL has been enabled.  Connecting remotely with GQ may be problematic.  "
 #      echo -n "Obtain the LDAP trusted root certificate on the Administration server from "
 #      echo -n "the path: /opt/SLES/POS/rsync/certs.  Or after posInitBranchServer has been "
 #      echo -n "run, it can be obtained from the path: .../opt/SLES/POS/keys/certs on the Branch "
 #      echo -n "server.  Consider using an alternate ldap directory tool such as JXplorer, "
 #      echo -ne "which can be downloaded at http://sourceforge.net/projects/jxplorer/ .\n\n\n"
 #  fi
echo "THIS WILL DELETE ALL DATA ON YOUR LDAP SERVER!"
readYesNo "Continue with configuration?" "y"
if [ $? -gt 0 ]; then
    # do not continue -> remove configuration file - branch server is not initialized
    err
fi



LDAPBASE="o=$COMPANYNAME,c=$COUNTRY"
#RULE1="s/o=pos,c=de/$LDAPBASE/"
#RULE2="s/\"OpenLDAP\"/\"NDS\"/"

#Leave in in case OpenLDAP still running
rcldap stop
killall slapd

## Rewrite the sldapd startup script in init.d
if [ $ENABLE_SSL = "yes" ] ; then
    SSLTRANSPORT=1
    ## Copy the public key to the rsync/cert directory
    #cp $CAPATH/ca.crt $SYNC_CERTPATH
    #cat $TEMPLATEPATH/openldap.template | sed -e $RULE4 | sed -e $RULE4a >  /etc/sysconfig/openldap
    #cat $TEMPLATEPATH/slapd.conf.template | sed -e $RULE1 | sed -e $RULE2 | sed -e $RULE5 >  $LDAPPATH/slapd.conf

    #cat >$LDAPPATH/ldap.conf <<EOT
    #TLS_CACERT $CAPATH/ca.crt
    #TLS_REQCERT demand
    #EOT
#else
    #cp  $TEMPLATEPATH/openldap.template /etc/sysconfig/openldap
    #cat $TEMPLATEPATH/slapd.conf.template | sed -e $RULE1 | sed -e $RULE2 >  $LDAPPATH/slapd.conf
fi


LDIF_FILE=$TEMPLATEPATH/"ldif.pos"
processTemplate "${TEMPLATEPATH}/ldif.pos.template" "$LDIF_FILE"    \
        @LDAPBASE@     "$LDAPBASE"                \
                @COMPANYNAME@  "$COMPANYNAME"                \
                "##NOT_EDIR##" "#"
## sleeping to give ldap a chance to start
sleep 5


export ADM_PASSWD=$PASSWORD
echo "Importing LDAP directory information..."
ndsconfig new -t $TREENAME -n o=$COMPANYNAME.c=$COUNTRY -a "cn=admin.o=$COMPANYNAME.c=$COUNTRY" -S `hostname -s` -e -L 389 -l 636
sleep 10

#----------- Add New eDir Schemas -----------#
if [ "$?" = "0" ]; then
    ice -S LDIF -a -f $TEMPLATEPATH/edir.schema -D LDAP -s localhost -p 389 -d "cn=admin,$LDAPBASE" -w $PASSWORD
    if [ ! "$?" = "0" ] ; then
      echo -n "Error importing schema file!"
      exit 1
    fi
    sleep 5
    ice -S LDIF -a -f $LDIF_FILE -D LDAP -s localhost -p 389 -d "cn=admin,$LDAPBASE" -w $PASSWORD
    if [ ! "$?" = "0" ] ; then
      echo -n "Error importing schema file!"
      exit 1
    fi
else
    echo "#########################################################################################"
    echo "#"
    echo "#                           An error occured"
    echo "#"
    echo "#                              contact your administrator or the hotline"
    echo "#"
    echo "#########################################################################################"
    exit 1
fi
##############################################

if test "$?" = "0"; then
    echo "#########################################################################################"
    echo "#                                                                                       "
    echo "#                           Success"
    echo "#"
    echo "#########################################################################################"
    echo ""
else
    echo "#########################################################################################"
    echo "#"
    echo "#                           An error occured"
    echo "#"
    echo "#                              contact your administrator or the hotline"
    echo "#"
    echo "#########################################################################################"
    exit 1
fi


#BRANCH_DEPLOYED="branch_uninitialized"         # this is not used anywhere

#if [ -f /etc/SLEPOS/branchserver.conf ] ; then
#    BRANCH_DEPLOYED="yes"
#fi

POSADMINDN="cn=admin,$LDAPBASE"

encryptPassword
processTemplate "$CONFTEMPLATE" "${SLEPOS}/adminserver.conf"        \
        @ADMINSERVERNAME@  "localhost"         \
                @POSADMINDN@       "$POSADMINDN"     \
                @POSADMINPASSWORD@ "$ENCRYPTEDPASSWORD" \
                @LDAPBASETEMPLATE@ "$LDAPBASE"         \
                @SSLTRANSPORT@     "$SSLTRANSPORT"

#sed -e 's/ADMINSERVERNAME/localhost/g' \
#    -e 's/POSADMINDN/'$POSADMINDN'/g' \
#    -e 's@POSADMINPASSWORD@'${ENCRYPTEDPASSWORD}'@g' \
#    -e 's/LDAPBASETEMPLATE/'$LDAPBASE'/g' \
#    -e 's/SSLTRANSPORT/'$SSLTRANSPORT'/g'\
#    -e 's/admin_uninitialized/yes/g'\                 # this is not used anywhere
#    -e 's/branch_uninitialized/$BRANCH_DEPLOYED/g'\      # this is not used anywhere
#    -e $RULE2 \                      # this is not used anywhere
#    "$CONFTEMPLATE" \
#    > "${SLEPOS}/adminserver.conf"


rm /etc/rsyncd.conf
ln -s /etc/SLEPOS/rsync/rsyncd.conf /etc/rsyncd.conf
chkconfig rsyncd on
rcrsyncd restart
